HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE (JNA API)

com.sun.jna.platform.win32

## Enum HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE

- java.lang.Object
- - java.lang.Enum<HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE>
  - - com.sun.jna.platform.win32.HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE

- All Implemented Interfaces:
    FlagEnum, java.io.Serializable, java.lang.Comparable<HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE>
  Enclosing interface:
    HighLevelMonitorConfigurationAPI

      public static enum HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE
      extends java.lang.Enum<HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE>
      implements FlagEnum

  Monitor capabilities - retrieved by GetMonitorCapabilities

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MC_SUPPORTED_COLOR_TEMPERATURE_10000K` The monitor supports 10,000 K color temperature.
    `MC_SUPPORTED_COLOR_TEMPERATURE_11500K` The monitor supports 11,500 K color temperature.
    `MC_SUPPORTED_COLOR_TEMPERATURE_4000K` The monitor supports 4,000 kelvins (K) color temperature.
    `MC_SUPPORTED_COLOR_TEMPERATURE_5000K` The monitor supports 5,000 K color temperature.
    `MC_SUPPORTED_COLOR_TEMPERATURE_6500K` The monitor supports 6,500 K color temperature.
    `MC_SUPPORTED_COLOR_TEMPERATURE_7500K` The monitor supports 7,500 K color temperature.
    `MC_SUPPORTED_COLOR_TEMPERATURE_8200K` The monitor supports 8,200 K color temperature.
    `MC_SUPPORTED_COLOR_TEMPERATURE_9300K` The monitor supports 9,300 K color temperature.
    `MC_SUPPORTED_COLOR_TEMPERATURE_NONE` No color temperatures are supported.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFlag()`
    `static HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MC_SUPPORTED_COLOR_TEMPERATURE_NONE

          public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_NONE

      No color temperatures are supported.

    - #### MC_SUPPORTED_COLOR_TEMPERATURE_4000K

          public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_4000K

      The monitor supports 4,000 kelvins (K) color temperature.

    - #### MC_SUPPORTED_COLOR_TEMPERATURE_5000K

          public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_5000K

      The monitor supports 5,000 K color temperature.

    - #### MC_SUPPORTED_COLOR_TEMPERATURE_6500K

          public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_6500K

      The monitor supports 6,500 K color temperature.

    - #### MC_SUPPORTED_COLOR_TEMPERATURE_7500K

          public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_7500K

      The monitor supports 7,500 K color temperature.

    - #### MC_SUPPORTED_COLOR_TEMPERATURE_8200K

          public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_8200K

      The monitor supports 8,200 K color temperature.

    - #### MC_SUPPORTED_COLOR_TEMPERATURE_9300K

          public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_9300K

      The monitor supports 9,300 K color temperature.

    - #### MC_SUPPORTED_COLOR_TEMPERATURE_10000K

          public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_10000K

      The monitor supports 10,000 K color temperature.

    - #### MC_SUPPORTED_COLOR_TEMPERATURE_11500K

          public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_11500K

      The monitor supports 11,500 K color temperature.

  - ### Method Detail

    - #### values

          public static HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE c : HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getFlag

          public int getFlag()

      Specified by:
        `getFlag` in interface `FlagEnum`
      Returns:
        the flag value - usually 2^n

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.